## as-enums as-enums — Helper functions for converting to and from enum strings |

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | as_size_kind_to_string ()
AsSizeKind | as_size_kind_from_string ()
const gchar * | as_urgency_kind_to_string ()
AsUrgencyKind | as_urgency_kind_from_string ()
const gchar * | as_url_kind_to_string ()
AsUrlKind | as_url_kind_from_string ()
const gchar * | as_kudo_kind_to_string ()
AsKudoKind | as_kudo_kind_from_string ()
const gchar * | as_id_kind_to_string ()
AsIdKind | as_id_kind_from_string ()

## Types and Values

enum | AsUrlKind
enum | AsKudoKind
enum | AsUrgencyKind
enum | AsSizeKind

## Includes

    #include <appstream-glib.h>

## Description

These helper functions may be useful if implementing an AppStream parser.

## Functions

### as_size_kind_to_string ()

    const gchar *
    as_size_kind_to_string (AsSizeKind size_kind);

Converts the enumerated value to an text representation.

#### Parameters

size_kind | the AsSizeKind. |

#### Returns

string version of `size_kind`

Since: 0.5.2

### as_size_kind_from_string ()

    AsSizeKind
    as_size_kind_from_string (const gchar *size_kind);

Converts the text representation to an enumerated value.

#### Parameters

size_kind | the string. |

#### Returns

a AsSizeKind or `AS_SIZE_KIND_UNKNOWN` for unknown

Since: 0.5.2

### as_urgency_kind_to_string ()

    const gchar *
    as_urgency_kind_to_string (AsUrgencyKind urgency_kind);

Converts the enumerated value to an text representation.

#### Parameters

urgency_kind | the AsUrgencyKind. |

#### Returns

string version of `urgency_kind`

Since: 0.5.1

### as_urgency_kind_from_string ()

    AsUrgencyKind
    as_urgency_kind_from_string (const gchar *urgency_kind);

Converts the text representation to an enumerated value.

#### Parameters

urgency_kind | the string. |

#### Returns

a AsUrgencyKind or `AS_URGENCY_KIND_UNKNOWN` for unknown

Since: 0.5.1

### as_url_kind_to_string ()

    const gchar *
    as_url_kind_to_string (AsUrlKind url_kind);

Converts the enumerated value to an text representation.

#### Parameters

url_kind | the `AsUrlKind` . |

#### Returns

string version of `url_kind`

Since: 0.1.0

### as_url_kind_from_string ()

    AsUrlKind
    as_url_kind_from_string (const gchar *url_kind);

Converts the text representation to an enumerated value.

#### Parameters

url_kind | the string. |

#### Returns

a AsUrlKind or `AS_URL_KIND_UNKNOWN` for unknown

Since: 0.1.0

### as_kudo_kind_to_string ()

    const gchar *
    as_kudo_kind_to_string (AsKudoKind kudo_kind);

Converts the enumerated value to an text representation.

#### Parameters

kudo_kind | the `AsKudoKind` . |

#### Returns

string version of `kudo_kind`

Since: 0.2.2

### as_kudo_kind_from_string ()

    AsKudoKind
    as_kudo_kind_from_string (const gchar *kudo_kind);

Converts the text representation to an enumerated value.

#### Parameters

kudo_kind | the string. |

#### Returns

a AsKudoKind or `AS_KUDO_KIND_UNKNOWN` for unknown

Since: 0.2.2

### as_id_kind_to_string ()

    const gchar *
    as_id_kind_to_string (AsIdKind id_kind);

`as_id_kind_to_string` is deprecated and should not be used in newly-written code.

Converts the enumerated value to an text representation.

#### Parameters

id_kind | the AsIdKind. |

#### Returns

string version of `id_kind`

Since: 0.1.0

### as_id_kind_from_string ()

    AsIdKind
    as_id_kind_from_string (const gchar *id_kind);

`as_id_kind_from_string` is deprecated and should not be used in newly-written code.

Converts the text representation to an enumerated value.

#### Parameters

id_kind | the string. |

#### Returns

a AsIdKind or `AS_ID_KIND_UNKNOWN` for unknown

Since: 0.1.0

## Types and Values

### enum AsUrlKind

The URL type.

#### Members

AS_ID_KIND_UNKNOWN |  |
AS_ID_KIND_DESKTOP |  |
AS_ID_KIND_FONT |  |
AS_ID_KIND_CODEC |  |
AS_ID_KIND_INPUT_METHOD |  |
AS_ID_KIND_WEB_APP |  |
AS_ID_KIND_SOURCE |  |
AS_ID_KIND_ADDON |  |
AS_ID_KIND_FIRMWARE |  |
AS_ID_KIND_RUNTIME |  |
AS_ID_KIND_GENERIC |  |

### enum AsKudoKind

The kudo type.

#### Members

AS_KUDO_KIND_UNKNOWN | Type invalid or not known |
AS_KUDO_KIND_SEARCH_PROVIDER | Installs a search provider |
AS_KUDO_KIND_USER_DOCS | Installs user documentation |
AS_KUDO_KIND_APP_MENU | Uses the GNOME application menu |
AS_KUDO_KIND_MODERN_TOOLKIT | Uses a modern toolkit like GTK3 or QT5 |
AS_KUDO_KIND_NOTIFICATIONS | Registers notifications with KDE or GNOME |
AS_KUDO_KIND_HIGH_CONTRAST | Installs a high contrast icon |
AS_KUDO_KIND_HI_DPI_ICON | Installs a high DPI icon |

### enum AsUrgencyKind

The urgency of a release.

#### Members

AS_URGENCY_KIND_UNKNOWN | Urgency invalid or not known |
AS_URGENCY_KIND_LOW | Low urgency release |
AS_URGENCY_KIND_MEDIUM | Medium urgency release |
AS_URGENCY_KIND_HIGH | High urgency release |
AS_URGENCY_KIND_CRITICAL | Critically urgent release |

### enum AsSizeKind

The release size kind.

#### Members

AS_SIZE_KIND_UNKNOWN | Not known |
AS_SIZE_KIND_INSTALLED | Installed size |
AS_SIZE_KIND_DOWNLOAD | Download size |